Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uky.kcr.recordlinkage.datasource
Class AbstractLinkageDataSource

    java.lang.Object
      edu.uky.kcr.recordlinkage.datasource.AbstractLinkageDataSource

All Implemented Interfaces:
  LinkageDataSource

Direct Known Subclasses:
  CsvFileLinkageDataSource, JdbcLinkageDataSource

    public abstract class AbstractLinkageDataSource

extends java.lang.Object
implements LinkageDataSource

Constructor Summary
`AbstractLinkageDataSource()`

Method Summary
`java.util.Collection<DataSourceRecord>` | `allRecords()`
`void` | `dispose()`
`java.util.Map<java.lang.String,java.util.Collection<DataSourceRecord>>` | `getIndex(java.lang.String fieldName)`
`java.util.Map<java.lang.String,java.util.Collection<DataSourceRecord>>` | `getPhoneticIndex(java.lang.String fieldName, java.lang.String phoneticEncoding)`
`java.util.Map<java.lang.String,DataSourceRecord>` | `getRecordMap()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLinkageDataSource

    public AbstractLinkageDataSource()

Method Detail

### allRecords

    public java.util.Collection<DataSourceRecord> allRecords()

  Specified by:
    `allRecords` in interface `LinkageDataSource`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `LinkageDataSource`

### getIndex

    public java.util.Map<java.lang.String,java.util.Collection<DataSourceRecord>> getIndex(java.lang.String fieldName)

  Specified by:
    `getIndex` in interface `LinkageDataSource`

### getPhoneticIndex

    public java.util.Map<java.lang.String,java.util.Collection<DataSourceRecord>> getPhoneticIndex(java.lang.String fieldName,
                                                                                                   java.lang.String phoneticEncoding)

  Specified by:
    `getPhoneticIndex` in interface `LinkageDataSource`

### getRecordMap

    public java.util.Map<java.lang.String,DataSourceRecord> getRecordMap()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD